namespace AyaNova.Biz
{
    internal static class FilterOptionsFromListKey
    {
        internal static FilterOptions Get(string listKey)
        {
            if (string.IsNullOrWhiteSpace(listKey))
                return null;

            switch (listKey)
            {
                //All listkeys are always lower case

                case "widget":
                    return WidgetBiz.FilterOptions();
                case "user":
                    return UserBiz.FilterOptions();


                default:
                    return null;//not found
            }

        }


        /////////////////////////////////////////////////////////////////////

    }//eoc


}//eons

